net-test: require rootfs/net_test.sh to be error free

This is a fix for:
  /sbin/net_test.sh: line 33: ./net_test.sh: No such file or directory
not resulting in a test error (android common 3.18/4.4 on stretch rootfs)

Bug: 126465735
Signed-off-by: Maciej Żenczykowski <maze@google.com>
Change-Id: Ib6c9698e98cec39eadcb371b5241241541e276d9
diff --git a/net/test/rootfs/net_test.sh b/net/test/rootfs/net_test.sh
index 9c94d06..b4f1f4d 100755
--- a/net/test/rootfs/net_test.sh
+++ b/net/test/rootfs/net_test.sh
@@ -15,6 +15,9 @@
 # limitations under the License.
 #
 
+set -e
+set -u
+
 mount -t proc none /proc
 mount -t sysfs none /sys
 mount -t tmpfs tmpfs /tmp